PDA

View Full Version : Do you have applications that worked w/Gutsy's default Wine that don't work on Hardy?



YokoZar
March 30th, 2008, 05:01 AM
Hardy is very near release. As you may know, simply using the newest Wine release every 2 weeks can sometimes result in application regressions. 0.9.59 will come out after Hardy is in full freeze mode, so 0.9.58 (with patches) is the most likely version of Wine to be released with Hardy. Later versions will be backported, however.

Anyway, we don't want there to be any regressions for ordinary users who don't use the WineHQ repositories. What this means is that, if you installed Gutsy and a Windows application worked with it "out of the box" then it should continue to do so in Hardy. Gutsy's included Wine was 0.9.46, which is about 12 releases old.

So, if there's some application that works better in 0.9.46 than the latest Hardy, please post about it here. If so, it's due to a regression in Wine, one that was probably recently patched, and we can include that patch in the release version. If you have an application that worked in Gutsy with a newer version of Wine than 0.9.46 (eg, using the winehq repositories) but doesn't work with 0.9.58, then please file a bug at winehq and tag it regression rather than posting about it here.

Thank you :)

YokoZar
April 2nd, 2008, 11:02 AM
Bump. Preferably this should be stickied.